/*
  details.c
  cgi-util demo store
  show details about an item, and provide a 'buy' link
*/

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <ctype.h>
#include <cgi-util.h>
#include "tsv.h"


/* --- MAIN --- */

int main(int argc, char * argv[])
{
  FILE * fi;
  item_type * item;
  const char * product_id;


  /* Init CGI: */
  
  cgi_init();
  printf("Content-type: text/html\n\n");
  cgi_dump("top.html");

  product_id = cgi_getentrystr("product_id");
  
  if (product_id == NULL)
    cgi_error("No product id specified!");
  
  
  /* Open the item file: */
  
  fi = open_item_file("items.tsv");
  
  do
    {
      item = read_next_item(fi);

      if (item != NULL && strcmp(item->product_id, product_id) == 0)
	{
	  printf("<h1>%s</h1>\n", item->title);
	  
	  printf("Price: $%.2f<p>\n", item->price);
	  
	  printf("<blockquote>%s</blockquote><p>\n", item->description);
	  
	  printf("<div align=right>\n");
	  printf("<a href=\"basket.cgi?product_id=%s\">Buy!</a>\n",
		 item->product_id);
	  printf("</div>\n");
	}
    }
  while (item != NULL);
  
  
  /* Close up and quit: */
  
  cgi_dump("bottom.html");
  cgi_quit();
  return(0);
}
